package banco.clientes;

/**
 * Ttulo: RepositorioClientes 
 *
 * @author Alexandra Barros
 * @version 1.0
 */

public interface RepositorioClientes {

  public void inserir(Cliente cliente) throws ClienteExistenteException;
  public void remover(String cpf) throws ClienteInexistenteException;
  public Cliente procurar(String cpf) throws ClienteInexistenteException;
  public void atualizar(Cliente cliente) throws ClienteInexistenteException;
  public boolean existe(String cpf);

}