package banco.contas;

/**
 * Ttulo: ContaBonificada
 *
 * @author Alexandra Barros
 * @version 1.0
 */

public class ContaBonificada extends Conta{

  private double bonus;

  public ContaBonificada(String numero, double saldo) {
    super(numero, saldo);
    this.bonus = 0;
  }

  public void creditar(double valor){
    this.bonus = this.bonus*valor + this.bonus;
    super.creditar(valor);
  }

  public void renderBonus(){
    super.creditar(bonus);
  }

}