package banco.contas;

/**
 * Ttulo: SaldoInsuficienteException 
 *
 * @author Alexandra Barros
 * @version 1.0
 */

public class SaldoInsuficienteException extends Exception{

  private String numeroConta;
  private double saldoConta;

  public SaldoInsuficienteException(String msgErro, String numero, double saldo) {
    super(msgErro);
    this.numeroConta = numero;
    this.saldoConta = saldo;
  }

  public double getSaldo(){
    return this.saldoConta;
  }

  public String getNumero(){
    return this.numeroConta ;
  }
}