package banco.contas;

/**
 * Ttulo: Conta 
 *
 * @author Alexandra Barros
 * @version 1.0
 */

public class Conta extends ContaAbstrata{

  public Conta(String numero, double saldo){
    super(numero, saldo);
  }

  public void debitar(double valor) throws SaldoInsuficienteException{
    double saldoTemp = getSaldo();
    if(saldoTemp >= valor){
      setSaldo(saldoTemp - valor);
    }
    else{
      throw new SaldoInsuficienteException("Saldo insuficiente.", getNumero(), saldoTemp);
    }
  }

}